<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Source/Synopsis/SymbolLookup/Symbol.hh.html -->
<!-- this view was generated by Source -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/SymbolLookup/Symbol.hh</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Source">
<div class="navigation">
<span class="normal"><a href="../../../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
File: <b >Synopsis/SymbolLookup/Symbol.hh</b><pre class="sxr"><a id="line1"></a><span class="lineno">  1</span><span class="line"><span class="comment">//</span></span>
<a id="line2"></a><span class="lineno">  2</span><span class="line"><span class="comment">// Copyright (C) 2004 Stefan Seefeld</span></span>
<a id="line3"></a><span class="lineno">  3</span><span class="line"><span class="comment">// All rights reserved.</span></span>
<a id="line4"></a><span class="lineno">  4</span><span class="line"><span class="comment">// Licensed to the public under the terms of the GNU LGPL (&gt;= 2),</span></span>
<a id="line5"></a><span class="lineno">  5</span><span class="line"><span class="comment">// see the file COPYING for details.</span></span>
<a id="line6"></a><span class="lineno">  6</span><span class="line"><span class="comment">//</span></span>
<a id="line7"></a><span class="lineno">  7</span><span class="line">#ifndef Synopsis_SymbolLookup_Symbol_hh_</span>
<a id="line8"></a><span class="lineno">  8</span><span class="line">#define Synopsis_SymbolLookup_Symbol_hh_</span>
<a id="line9"></a><span class="lineno">  9</span>
<a id="line10"></a><span class="lineno"> 10</span><span class="line">#include &lt;Synopsis/PTree/Encoding.hh&gt;</span>
<a id="line11"></a><span class="lineno"> 11</span><span class="line">#include &lt;Synopsis/PTree/Lists.hh&gt;</span>
<a id="line12"></a><span class="lineno"> 12</span>
<a id="line13"></a><span class="lineno"> 13</span><span class="line"><span class="keyword">namespace</span> <a href="../../../Scopes/Synopsis.html" title="namespace Synopsis">Synopsis</a></span>
<a id="line14"></a><span class="lineno"> 14</span><span class="line">{</span>
<a id="line15"></a><span class="lineno"> 15</span><span class="line"><span class="keyword">namespace</span> <a href="../../../Scopes/Synopsis/SymbolLookup.html" title="namespace Synopsis::SymbolLookup">SymbolLookup</a></span>
<a id="line16"></a><span class="lineno"> 16</span><span class="line">{</span>
<a id="line17"></a><span class="lineno"> 17</span>
<a id="line18"></a><span class="lineno"> 18</span><span class="line">class Symbol;</span>
<a id="line19"></a><span class="lineno"> 19</span><span class="line">class VariableName;</span>
<a id="line20"></a><span class="lineno"> 20</span><span class="line">class ConstName;</span>
<a id="line21"></a><span class="lineno"> 21</span><span class="line">class TypeName;</span>
<a id="line22"></a><span class="lineno"> 22</span><span class="line">class TypedefName;</span>
<a id="line23"></a><span class="lineno"> 23</span><span class="line">class ClassName;</span>
<a id="line24"></a><span class="lineno"> 24</span><span class="line">class EnumName;</span>
<a id="line25"></a><span class="lineno"> 25</span><span class="line">class ClassTemplateName;</span>
<a id="line26"></a><span class="lineno"> 26</span><span class="line">class FunctionName;</span>
<a id="line27"></a><span class="lineno"> 27</span><span class="line">class FunctionTemplateName;</span>
<a id="line28"></a><span class="lineno"> 28</span><span class="line">class NamespaceName;</span>
<a id="line29"></a><span class="lineno"> 29</span>
<a id="line30"></a><span class="lineno"> 30</span><span class="line"><span class="keyword">class</span> <a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" title="class Synopsis::SymbolLookup::SymbolVisitor">SymbolVisitor</a></span>
<a id="line31"></a><span class="lineno"> 31</span><span class="line">{</span>
<a id="line32"></a><span class="lineno"> 32</span><span class="line"><span class="keyword">public</span>:</span>
<a id="line33"></a><span class="lineno"> 33</span><span class="line">  virtual <a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#_tSymbolVisitor_l_r" title="member function Synopsis::SymbolLookup::SymbolVisitor::~SymbolVisitor()">~SymbolVisitor</a>() {}</span>
<a id="line34"></a><span class="lineno"> 34</span>
<a id="line35"></a><span class="lineno"> 35</span><span class="line">  virtual <span class="keyword">void</span> <a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.Symbol_S_r" title="member function Synopsis::SymbolLookup::SymbolVisitor::visit(const Symbol*)">visit</a>(<a href="../../../Scopes/Synopsis/SymbolLookup/Symbol.html" title="class Synopsis::SymbolLookup::Symbol">Symbol const</a> *) = 0;</span>
<a id="line36"></a><span class="lineno"> 36</span><span class="line">  virtual <span class="keyword">void</span> <a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.VariableName_S_r" title="member function Synopsis::SymbolLookup::SymbolVisitor::visit(const VariableName*)">visit</a>(<a href="../../../Scopes/Synopsis/SymbolLookup/VariableName.html" title="class Synopsis::SymbolLookup::VariableName">VariableName const</a> *) = 0;</span>
<a id="line37"></a><span class="lineno"> 37</span><span class="line">  virtual <span class="keyword">void</span> <a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.ConstName_S_r" title="member function Synopsis::SymbolLookup::SymbolVisitor::visit(const ConstName*)">visit</a>(<a href="../../../Scopes/Synopsis/SymbolLookup/ConstName.html" title="class Synopsis::SymbolLookup::ConstName">ConstName const</a> *) = 0;</span>
<a id="line38"></a><span class="lineno"> 38</span><span class="line">  virtual <span class="keyword">void</span> <a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.TypeName_S_r" title="member function Synopsis::SymbolLookup::SymbolVisitor::visit(const TypeName*)">visit</a>(<a href="../../../Scopes/Synopsis/SymbolLookup/TypeName.html" title="class Synopsis::SymbolLookup::TypeName">TypeName const</a> *) = 0;</span>
<a id="line39"></a><span class="lineno"> 39</span><span class="line">  virtual <span class="keyword">void</span> <a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.TypedefName_S_r" title="member function Synopsis::SymbolLookup::SymbolVisitor::visit(const TypedefName*)">visit</a>(<a href="../../../Scopes/Synopsis/SymbolLookup/TypedefName.html" title="class Synopsis::SymbolLookup::TypedefName">TypedefName const</a> *) = 0;</span>
<a id="line40"></a><span class="lineno"> 40</span><span class="line">  virtual <span class="keyword">void</span> <a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.ClassName_S_r" title="member function Synopsis::SymbolLookup::SymbolVisitor::visit(const ClassName*)">visit</a>(<a href="../../../Scopes/Synopsis/SymbolLookup/ClassName.html" title="class Synopsis::SymbolLookup::ClassName">ClassName const</a> *) = 0;</span>
<a id="line41"></a><span class="lineno"> 41</span><span class="line">  virtual <span class="keyword">void</span> <a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.EnumName_S_r" title="member function Synopsis::SymbolLookup::SymbolVisitor::visit(const EnumName*)">visit</a>(<a href="../../../Scopes/Synopsis/SymbolLookup/EnumName.html" title="class Synopsis::SymbolLookup::EnumName">EnumName const</a> *) = 0;</span>
<a id="line42"></a><span class="lineno"> 42</span><span class="line">  virtual <span class="keyword">void</span> <a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.ClassTemplateName_S_r" title="member function Synopsis::SymbolLookup::SymbolVisitor::visit(const ClassTemplateName*)">visit</a>(<a href="../../../Scopes/Synopsis/SymbolLookup/ClassTemplateName.html" title="class Synopsis::SymbolLookup::ClassTemplateName">ClassTemplateName const</a> *) = 0;</span>
<a id="line43"></a><span class="lineno"> 43</span><span class="line">  virtual <span class="keyword">void</span> <a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.FunctionName_S_r" title="member function Synopsis::SymbolLookup::SymbolVisitor::visit(const FunctionName*)">visit</a>(<a href="../../../Scopes/Synopsis/SymbolLookup/FunctionName.html" title="class Synopsis::SymbolLookup::FunctionName">FunctionName const</a> *) = 0;</span>
<a id="line44"></a><span class="lineno"> 44</span><span class="line">  virtual <span class="keyword">void</span> <a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.FunctionTemplateName_S_r" title="member function Synopsis::SymbolLookup::SymbolVisitor::visit(const FunctionTemplateName*)">visit</a>(<a href="../../../Scopes/Synopsis/SymbolLookup/FunctionTemplateName.html" title="class Synopsis::SymbolLookup::FunctionTemplateName">FunctionTemplateName const</a> *) = 0;</span>
<a id="line45"></a><span class="lineno"> 45</span><span class="line">  virtual <span class="keyword">void</span> <a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.NamespaceName_S_r" title="member function Synopsis::SymbolLookup::SymbolVisitor::visit(const NamespaceName*)">visit</a>(<a href="../../../Scopes/Synopsis/SymbolLookup/NamespaceName.html" title="class Synopsis::SymbolLookup::NamespaceName">NamespaceName const</a> *) = 0;</span>
<a id="line46"></a><span class="lineno"> 46</span><span class="line">};</span>
<a id="line47"></a><span class="lineno"> 47</span>
<a id="line48"></a><span class="lineno"> 48</span><span class="line">class Scope;</span>
<a id="line49"></a><span class="lineno"> 49</span><span class="line">class Class;</span>
<a id="line50"></a><span class="lineno"> 50</span><span class="line">class Namespace;</span>
<a id="line51"></a><span class="lineno"> 51</span><span class="line">class FunctionScope;</span>
<a id="line52"></a><span class="lineno"> 52</span>
<a id="line53"></a><span class="lineno"> 53</span><span class="line"><span class="keyword">class</span> <a href="../../../Scopes/Synopsis/SymbolLookup/Symbol.html" title="class Synopsis::SymbolLookup::Symbol">Symbol</a></span>
<a id="line54"></a><span class="lineno"> 54</span><span class="line">{</span>
<a id="line55"></a><span class="lineno"> 55</span><span class="line"><span class="keyword">public</span>:</span>
<a id="line56"></a><span class="lineno"> 56</span><span class="line">  <a href="" title="member function Synopsis::SymbolLookup::Symbol::Symbol(const PTree::Encoding&amp;,const PTree::Node*,bool,Scope*)">Symbol</a>(<a href="../../../Scopes/Synopsis/PTree/Encoding.html" title="class Synopsis::PTree::Encoding">PTree::Encoding const</a> &amp;t, <a href="../../../Scopes/Synopsis/PTree/Node.html" title="class Synopsis::PTree::Node">PTree::Node const</a> *p, <span class="keyword">bool</span> def, <a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html" title="class Synopsis::SymbolLookup::Scope">Scope</a> *s)</span>
<a id="line57"></a><span class="lineno"> 57</span><span class="line">    : my_type(t), my_ptree(p), my_definition(def), my_scope(s) {}</span>
<a id="line58"></a><span class="lineno"> 58</span><span class="line">  virtual <a href="../../../Scopes/Synopsis/SymbolLookup/Symbol.html#_tSymbol_l_r" title="member function Synopsis::SymbolLookup::Symbol::~Symbol()">~Symbol</a>(){}</span>
<a id="line59"></a><span class="lineno"> 59</span><span class="line">  virtual <span class="keyword">void</span> <a href="../../../Scopes/Synopsis/SymbolLookup/Symbol.html#accept_lSymbolVisitor_S_rconst" title="member function Synopsis::SymbolLookup::Symbol::accept(SymbolVisitor*)const">accept</a>(<a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" title="class Synopsis::SymbolLookup::SymbolVisitor">SymbolVisitor</a> *v) const { <a href="" title="parameter v">v</a>-&gt;<a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.Symbol_S_r" title="member function Synopsis::SymbolLookup::SymbolVisitor::visit(const Symbol*)">visit</a>(<span class="keyword">this</span>);}</span>
<a id="line60"></a><span class="lineno"> 60</span><span class="line">  <a href="../../../Scopes/Synopsis/PTree/Encoding.html" title="class Synopsis::PTree::Encoding">PTree::Encoding const</a> &amp; <a href="../../../Scopes/Synopsis/SymbolLookup/Symbol.html#type_l_rconst" title="member function Synopsis::SymbolLookup::Symbol::type()const">type</a>() const { <span class="keyword">return</span> <a href="../../../Scopes/Synopsis/SymbolLookup/Symbol.html#my_type" title="data member Synopsis::SymbolLookup::Symbol::my_type">my_type</a>;}</span>
<a id="line61"></a><span class="lineno"> 61</span><span class="line">  <a href="../../../Scopes/Synopsis/PTree/Node.html" title="class Synopsis::PTree::Node">PTree::Node const</a> * <a href="../../../Scopes/Synopsis/SymbolLookup/Symbol.html#ptree_l_rconst" title="member function Synopsis::SymbolLookup::Symbol::ptree()const">ptree</a>() const { <span class="keyword">return</span> <a href="../../../Scopes/Synopsis/SymbolLookup/Symbol.html#my_ptree" title="data member Synopsis::SymbolLookup::Symbol::my_ptree">my_ptree</a>;}</span>
<a id="line62"></a><span class="lineno"> 62</span><span class="line">  <span class="keyword">bool</span> <a href="../../../Scopes/Synopsis/SymbolLookup/Symbol.html#is_definition_l_rconst" title="member function Synopsis::SymbolLookup::Symbol::is_definition()const">is_definition</a>() const { <span class="keyword">return</span> <a href="../../../Scopes/Synopsis/SymbolLookup/Symbol.html#my_definition" title="data member Synopsis::SymbolLookup::Symbol::my_definition">my_definition</a>;}</span>
<a id="line63"></a><span class="lineno"> 63</span><span class="line">  <a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html" title="class Synopsis::SymbolLookup::Scope">Scope</a> * <a href="../../../Scopes/Synopsis/SymbolLookup/Symbol.html#scope_l_rconst" title="member function Synopsis::SymbolLookup::Symbol::scope()const">scope</a>() const { <span class="keyword">return</span> <a href="../../../Scopes/Synopsis/SymbolLookup/Symbol.html#my_scope" title="data member Synopsis::SymbolLookup::Symbol::my_scope">my_scope</a>;}</span>
<a id="line64"></a><span class="lineno"> 64</span><span class="line"><span class="keyword">private</span>:</span>
<a id="line65"></a><span class="lineno"> 65</span><span class="line">  <a href="../../../Scopes/Synopsis/PTree/Encoding.html" title="class Synopsis::PTree::Encoding">PTree::Encoding</a>     <a href="../../../Scopes/Synopsis/SymbolLookup/Symbol.html#my_type" title="data member Synopsis::SymbolLookup::Symbol::my_type">my_type</a>;</span>
<a id="line66"></a><span class="lineno"> 66</span><span class="line">  <a href="../../../Scopes/Synopsis/PTree/Node.html" title="class Synopsis::PTree::Node">PTree::Node const</a> * <a href="../../../Scopes/Synopsis/SymbolLookup/Symbol.html#my_ptree" title="data member Synopsis::SymbolLookup::Symbol::my_ptree">my_ptree</a>;</span>
<a id="line67"></a><span class="lineno"> 67</span><span class="line">  <span class="keyword">bool</span>                <a href="../../../Scopes/Synopsis/SymbolLookup/Symbol.html#my_definition" title="data member Synopsis::SymbolLookup::Symbol::my_definition">my_definition</a>;</span>
<a id="line68"></a><span class="lineno"> 68</span><span class="line">  <a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html" title="class Synopsis::SymbolLookup::Scope">Scope</a>             * <a href="../../../Scopes/Synopsis/SymbolLookup/Symbol.html#my_scope" title="data member Synopsis::SymbolLookup::Symbol::my_scope">my_scope</a>;</span>
<a id="line69"></a><span class="lineno"> 69</span><span class="line">};</span>
<a id="line70"></a><span class="lineno"> 70</span>
<a id="line71"></a><span class="lineno"> 71</span><span class="line"><span class="keyword">class</span> <a href="../../../Scopes/Synopsis/SymbolLookup/VariableName.html" title="class Synopsis::SymbolLookup::VariableName">VariableName</a> : <span class="keyword">public</span> <a href="../../../Scopes/Synopsis/SymbolLookup/Symbol.html" title="class Synopsis::SymbolLookup::Symbol">Symbol</a></span>
<a id="line72"></a><span class="lineno"> 72</span><span class="line">{</span>
<a id="line73"></a><span class="lineno"> 73</span><span class="line"><span class="keyword">public</span>:</span>
<a id="line74"></a><span class="lineno"> 74</span><span class="line">  <a href="" title="member function Synopsis::SymbolLookup::VariableName::VariableName(const PTree::Encoding&amp;,const PTree::Node*,bool,Scope*)">VariableName</a>(<a href="../../../Scopes/Synopsis/PTree/Encoding.html" title="class Synopsis::PTree::Encoding">PTree::Encoding const</a> &amp;type, <a href="../../../Scopes/Synopsis/PTree/Node.html" title="class Synopsis::PTree::Node">PTree::Node const</a> *ptree,</span>
<a id="line75"></a><span class="lineno"> 75</span><span class="line">	       <span class="keyword">bool</span> def, <a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html" title="class Synopsis::SymbolLookup::Scope">Scope</a> *s)</span>
<a id="line76"></a><span class="lineno"> 76</span><span class="line">    : Symbol(type, ptree, def, s) {}</span>
<a id="line77"></a><span class="lineno"> 77</span><span class="line">  virtual <span class="keyword">void</span> <a href="../../../Scopes/Synopsis/SymbolLookup/VariableName.html#accept_lSymbolVisitor_S_rconst" title="member function Synopsis::SymbolLookup::VariableName::accept(SymbolVisitor*)const">accept</a>(<a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" title="class Synopsis::SymbolLookup::SymbolVisitor">SymbolVisitor</a> *v) const { <a href="" title="parameter v">v</a>-&gt;<a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.Symbol_S_r" title="member function Synopsis::SymbolLookup::SymbolVisitor::visit(const Symbol*)">visit</a>(<span class="keyword">this</span>);}</span>
<a id="line78"></a><span class="lineno"> 78</span><span class="line">};</span>
<a id="line79"></a><span class="lineno"> 79</span>
<a id="line80"></a><span class="lineno"> 80</span><span class="line"><span class="keyword">class</span> <a href="../../../Scopes/Synopsis/SymbolLookup/ConstName.html" title="class Synopsis::SymbolLookup::ConstName">ConstName</a> : <span class="keyword">public</span> <a href="../../../Scopes/Synopsis/SymbolLookup/VariableName.html" title="class Synopsis::SymbolLookup::VariableName">VariableName</a></span>
<a id="line81"></a><span class="lineno"> 81</span><span class="line">{</span>
<a id="line82"></a><span class="lineno"> 82</span><span class="line"><span class="keyword">public</span>:</span>
<a id="line83"></a><span class="lineno"> 83</span><span class="line">  <a href="" title="member function Synopsis::SymbolLookup::ConstName::ConstName(const PTree::Encoding&amp;,long,const PTree::Node*,bool,Scope*)">ConstName</a>(<a href="../../../Scopes/Synopsis/PTree/Encoding.html" title="class Synopsis::PTree::Encoding">PTree::Encoding const</a> &amp;type, <span class="keyword">long</span> v,</span>
<a id="line84"></a><span class="lineno"> 84</span><span class="line">	    <a href="../../../Scopes/Synopsis/PTree/Node.html" title="class Synopsis::PTree::Node">PTree::Node const</a> *ptree, <span class="keyword">bool</span> def, <a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html" title="class Synopsis::SymbolLookup::Scope">Scope</a> *s)</span>
<a id="line85"></a><span class="lineno"> 85</span><span class="line">    : VariableName(type, ptree, def, s), my_defined(true), my_value(v) {}</span>
<a id="line86"></a><span class="lineno"> 86</span><span class="line">  <a href="" title="member function Synopsis::SymbolLookup::ConstName::ConstName(const PTree::Encoding&amp;,const PTree::Node*,bool,Scope*)">ConstName</a>(<a href="../../../Scopes/Synopsis/PTree/Encoding.html" title="class Synopsis::PTree::Encoding">PTree::Encoding const</a> &amp;type,</span>
<a id="line87"></a><span class="lineno"> 87</span><span class="line">	    <a href="../../../Scopes/Synopsis/PTree/Node.html" title="class Synopsis::PTree::Node">PTree::Node const</a> *ptree, <span class="keyword">bool</span> def, <a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html" title="class Synopsis::SymbolLookup::Scope">Scope</a> *s)</span>
<a id="line88"></a><span class="lineno"> 88</span><span class="line">    : VariableName(type, ptree, def, s), my_defined(false) {}</span>
<a id="line89"></a><span class="lineno"> 89</span><span class="line">  virtual <span class="keyword">void</span> <a href="../../../Scopes/Synopsis/SymbolLookup/ConstName.html#accept_lSymbolVisitor_S_rconst" title="member function Synopsis::SymbolLookup::ConstName::accept(SymbolVisitor*)const">accept</a>(<a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" title="class Synopsis::SymbolLookup::SymbolVisitor">SymbolVisitor</a> *v) const { <a href="" title="parameter v">v</a>-&gt;<a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.Symbol_S_r" title="member function Synopsis::SymbolLookup::SymbolVisitor::visit(const Symbol*)">visit</a>(<span class="keyword">this</span>);}</span>
<a id="line90"></a><span class="lineno"> 90</span><span class="line">  <span class="keyword">bool</span> <a href="../../../Scopes/Synopsis/SymbolLookup/ConstName.html#defined_l_rconst" title="member function Synopsis::SymbolLookup::ConstName::defined()const">defined</a>() const { <span class="keyword">return</span> <a href="../../../Scopes/Synopsis/SymbolLookup/ConstName.html#my_defined" title="data member Synopsis::SymbolLookup::ConstName::my_defined">my_defined</a>;}</span>
<a id="line91"></a><span class="lineno"> 91</span><span class="line">  <span class="keyword">long</span> <a href="../../../Scopes/Synopsis/SymbolLookup/ConstName.html#value_l_rconst" title="member function Synopsis::SymbolLookup::ConstName::value()const">value</a>() const { <span class="keyword">return</span> <a href="../../../Scopes/Synopsis/SymbolLookup/ConstName.html#my_value" title="data member Synopsis::SymbolLookup::ConstName::my_value">my_value</a>;}</span>
<a id="line92"></a><span class="lineno"> 92</span><span class="line"><span class="keyword">private</span>:</span>
<a id="line93"></a><span class="lineno"> 93</span><span class="line">  <span class="keyword">bool</span> <a href="../../../Scopes/Synopsis/SymbolLookup/ConstName.html#my_defined" title="data member Synopsis::SymbolLookup::ConstName::my_defined">my_defined</a>;</span>
<a id="line94"></a><span class="lineno"> 94</span><span class="line">  <span class="keyword">long</span> <a href="../../../Scopes/Synopsis/SymbolLookup/ConstName.html#my_value" title="data member Synopsis::SymbolLookup::ConstName::my_value">my_value</a>;</span>
<a id="line95"></a><span class="lineno"> 95</span><span class="line">};</span>
<a id="line96"></a><span class="lineno"> 96</span>
<a id="line97"></a><span class="lineno"> 97</span><span class="line"><span class="keyword">class</span> <a href="../../../Scopes/Synopsis/SymbolLookup/TypeName.html" title="class Synopsis::SymbolLookup::TypeName">TypeName</a> : <span class="keyword">public</span> <a href="../../../Scopes/Synopsis/SymbolLookup/Symbol.html" title="class Synopsis::SymbolLookup::Symbol">Symbol</a></span>
<a id="line98"></a><span class="lineno"> 98</span><span class="line">{</span>
<a id="line99"></a><span class="lineno"> 99</span><span class="line"><span class="keyword">public</span>:</span>
<a id="line100"></a><span class="lineno">100</span><span class="line">  <a href="" title="member function Synopsis::SymbolLookup::TypeName::TypeName(const PTree::Encoding&amp;,const PTree::Node*,bool,Scope*)">TypeName</a>(<a href="../../../Scopes/Synopsis/PTree/Encoding.html" title="class Synopsis::PTree::Encoding">PTree::Encoding const</a> &amp;type, <a href="../../../Scopes/Synopsis/PTree/Node.html" title="class Synopsis::PTree::Node">PTree::Node const</a> *ptree,</span>
<a id="line101"></a><span class="lineno">101</span><span class="line">	   <span class="keyword">bool</span> def, <a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html" title="class Synopsis::SymbolLookup::Scope">Scope</a> *s)</span>
<a id="line102"></a><span class="lineno">102</span><span class="line">    : Symbol(type, ptree, def, s) {}</span>
<a id="line103"></a><span class="lineno">103</span><span class="line">  virtual <span class="keyword">void</span> <a href="../../../Scopes/Synopsis/SymbolLookup/TypeName.html#accept_lSymbolVisitor_S_rconst" title="member function Synopsis::SymbolLookup::TypeName::accept(SymbolVisitor*)const">accept</a>(<a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" title="class Synopsis::SymbolLookup::SymbolVisitor">SymbolVisitor</a> *v) const { <a href="" title="parameter v">v</a>-&gt;<a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.Symbol_S_r" title="member function Synopsis::SymbolLookup::SymbolVisitor::visit(const Symbol*)">visit</a>(<span class="keyword">this</span>);}</span>
<a id="line104"></a><span class="lineno">104</span><span class="line">};</span>
<a id="line105"></a><span class="lineno">105</span>
<a id="line106"></a><span class="lineno">106</span><span class="line"><span class="keyword">class</span> <a href="../../../Scopes/Synopsis/SymbolLookup/TypedefName.html" title="class Synopsis::SymbolLookup::TypedefName">TypedefName</a> : <span class="keyword">public</span> <a href="../../../Scopes/Synopsis/SymbolLookup/TypeName.html" title="class Synopsis::SymbolLookup::TypeName">TypeName</a></span>
<a id="line107"></a><span class="lineno">107</span><span class="line">{</span>
<a id="line108"></a><span class="lineno">108</span><span class="line"><span class="keyword">public</span>:</span>
<a id="line109"></a><span class="lineno">109</span><span class="line">  <a href="" title="member function Synopsis::SymbolLookup::TypedefName::TypedefName(const PTree::Encoding&amp;,const PTree::Node*,Scope*)">TypedefName</a>(<a href="../../../Scopes/Synopsis/PTree/Encoding.html" title="class Synopsis::PTree::Encoding">PTree::Encoding const</a> &amp;type, <a href="../../../Scopes/Synopsis/PTree/Node.html" title="class Synopsis::PTree::Node">PTree::Node const</a> *ptree, <a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html" title="class Synopsis::SymbolLookup::Scope">Scope</a> *scope)</span>
<a id="line110"></a><span class="lineno">110</span><span class="line">    : TypeName(type, ptree, false, scope) {}</span>
<a id="line111"></a><span class="lineno">111</span><span class="line">  virtual <span class="keyword">void</span> <a href="../../../Scopes/Synopsis/SymbolLookup/TypedefName.html#accept_lSymbolVisitor_S_rconst" title="member function Synopsis::SymbolLookup::TypedefName::accept(SymbolVisitor*)const">accept</a>(<a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" title="class Synopsis::SymbolLookup::SymbolVisitor">SymbolVisitor</a> *v) const { <a href="" title="parameter v">v</a>-&gt;<a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.Symbol_S_r" title="member function Synopsis::SymbolLookup::SymbolVisitor::visit(const Symbol*)">visit</a>(<span class="keyword">this</span>);}</span>
<a id="line112"></a><span class="lineno">112</span><span class="line">};</span>
<a id="line113"></a><span class="lineno">113</span>
<a id="line114"></a><span class="lineno">114</span><span class="line"><span class="keyword">class</span> <a href="../../../Scopes/Synopsis/SymbolLookup/ClassName.html" title="class Synopsis::SymbolLookup::ClassName">ClassName</a> : <span class="keyword">public</span> <a href="../../../Scopes/Synopsis/SymbolLookup/TypeName.html" title="class Synopsis::SymbolLookup::TypeName">TypeName</a></span>
<a id="line115"></a><span class="lineno">115</span><span class="line">{</span>
<a id="line116"></a><span class="lineno">116</span><span class="line"><span class="keyword">public</span>:</span>
<a id="line117"></a><span class="lineno">117</span><span class="line">  <a href="" title="member function Synopsis::SymbolLookup::ClassName::ClassName(const PTree::Encoding&amp;,const PTree::Node*,bool,Scope*)">ClassName</a>(<a href="../../../Scopes/Synopsis/PTree/Encoding.html" title="class Synopsis::PTree::Encoding">PTree::Encoding const</a> &amp;type, <a href="../../../Scopes/Synopsis/PTree/Node.html" title="class Synopsis::PTree::Node">PTree::Node const</a> *ptree, <span class="keyword">bool</span> def, <a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html" title="class Synopsis::SymbolLookup::Scope">Scope</a> *s)</span>
<a id="line118"></a><span class="lineno">118</span><span class="line">    : TypeName(type, ptree, def, s) {}</span>
<a id="line119"></a><span class="lineno">119</span><span class="line">  virtual <span class="keyword">void</span> <a href="../../../Scopes/Synopsis/SymbolLookup/ClassName.html#accept_lSymbolVisitor_S_rconst" title="member function Synopsis::SymbolLookup::ClassName::accept(SymbolVisitor*)const">accept</a>(<a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" title="class Synopsis::SymbolLookup::SymbolVisitor">SymbolVisitor</a> *v) const { <a href="" title="parameter v">v</a>-&gt;<a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.Symbol_S_r" title="member function Synopsis::SymbolLookup::SymbolVisitor::visit(const Symbol*)">visit</a>(<span class="keyword">this</span>);}</span>
<a id="line120"></a><span class="lineno">120</span>
<a id="line121"></a><span class="lineno">121</span><span class="line">  <span class="comment">//. Return the class scope associated with this symbol.</span></span>
<a id="line122"></a><span class="lineno">122</span><span class="line"><span class="comment">  //. This will return 0 if the class definition hasn't been seen yet.</span></span>
<a id="line123"></a><span class="lineno">123</span><span class="line">  <a href="../../../Scopes/Synopsis/SymbolLookup/Class.html" title="class Synopsis::SymbolLookup::Class">Class</a> *<a href="../../../Scopes/Synopsis/SymbolLookup/ClassName.html#as_scope_l_rconst" title="member function Synopsis::SymbolLookup::ClassName::as_scope()const">as_scope</a>() const;</span>
<a id="line124"></a><span class="lineno">124</span><span class="line">};</span>
<a id="line125"></a><span class="lineno">125</span>
<a id="line126"></a><span class="lineno">126</span><span class="line"><span class="keyword">class</span> <a href="../../../Scopes/Synopsis/SymbolLookup/EnumName.html" title="class Synopsis::SymbolLookup::EnumName">EnumName</a> : <span class="keyword">public</span> <a href="../../../Scopes/Synopsis/SymbolLookup/TypeName.html" title="class Synopsis::SymbolLookup::TypeName">TypeName</a></span>
<a id="line127"></a><span class="lineno">127</span><span class="line">{</span>
<a id="line128"></a><span class="lineno">128</span><span class="line"><span class="keyword">public</span>:</span>
<a id="line129"></a><span class="lineno">129</span><span class="line">  <a href="" title="member function Synopsis::SymbolLookup::EnumName::EnumName(const PTree::Encoding&amp;,const PTree::Node*,Scope*)">EnumName</a>(<a href="../../../Scopes/Synopsis/PTree/Encoding.html" title="class Synopsis::PTree::Encoding">PTree::Encoding const</a> &amp;type, <a href="../../../Scopes/Synopsis/PTree/Node.html" title="class Synopsis::PTree::Node">PTree::Node const</a> *ptree, <a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html" title="class Synopsis::SymbolLookup::Scope">Scope</a> *scope)</span>
<a id="line130"></a><span class="lineno">130</span><span class="line">    : TypeName(type, ptree, true, scope) {}</span>
<a id="line131"></a><span class="lineno">131</span><span class="line">  virtual <span class="keyword">void</span> <a href="../../../Scopes/Synopsis/SymbolLookup/EnumName.html#accept_lSymbolVisitor_S_rconst" title="member function Synopsis::SymbolLookup::EnumName::accept(SymbolVisitor*)const">accept</a>(<a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" title="class Synopsis::SymbolLookup::SymbolVisitor">SymbolVisitor</a> *v) const { <a href="" title="parameter v">v</a>-&gt;<a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.Symbol_S_r" title="member function Synopsis::SymbolLookup::SymbolVisitor::visit(const Symbol*)">visit</a>(<span class="keyword">this</span>);}</span>
<a id="line132"></a><span class="lineno">132</span><span class="line">};</span>
<a id="line133"></a><span class="lineno">133</span>
<a id="line134"></a><span class="lineno">134</span><span class="line"><span class="keyword">class</span> <a href="../../../Scopes/Synopsis/SymbolLookup/ClassTemplateName.html" title="class Synopsis::SymbolLookup::ClassTemplateName">ClassTemplateName</a> : <span class="keyword">public</span> <a href="../../../Scopes/Synopsis/SymbolLookup/Symbol.html" title="class Synopsis::SymbolLookup::Symbol">Symbol</a></span>
<a id="line135"></a><span class="lineno">135</span><span class="line">{</span>
<a id="line136"></a><span class="lineno">136</span><span class="line"><span class="keyword">public</span>:</span>
<a id="line137"></a><span class="lineno">137</span><span class="line">  <a href="" title="member function Synopsis::SymbolLookup::ClassTemplateName::ClassTemplateName(const PTree::Encoding&amp;,const PTree::Node*,bool,Scope*)">ClassTemplateName</a>(<a href="../../../Scopes/Synopsis/PTree/Encoding.html" title="class Synopsis::PTree::Encoding">PTree::Encoding const</a> &amp;type, <a href="../../../Scopes/Synopsis/PTree/Node.html" title="class Synopsis::PTree::Node">PTree::Node const</a> *ptree, <span class="keyword">bool</span> def,</span>
<a id="line138"></a><span class="lineno">138</span><span class="line">		    <a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html" title="class Synopsis::SymbolLookup::Scope">Scope</a> *s)</span>
<a id="line139"></a><span class="lineno">139</span><span class="line">    : Symbol(type, ptree, def, s) {}</span>
<a id="line140"></a><span class="lineno">140</span><span class="line">  virtual <span class="keyword">void</span> <a href="../../../Scopes/Synopsis/SymbolLookup/ClassTemplateName.html#accept_lSymbolVisitor_S_rconst" title="member function Synopsis::SymbolLookup::ClassTemplateName::accept(SymbolVisitor*)const">accept</a>(<a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" title="class Synopsis::SymbolLookup::SymbolVisitor">SymbolVisitor</a> *v) const { <a href="" title="parameter v">v</a>-&gt;<a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.Symbol_S_r" title="member function Synopsis::SymbolLookup::SymbolVisitor::visit(const Symbol*)">visit</a>(<span class="keyword">this</span>);}</span>
<a id="line141"></a><span class="lineno">141</span>
<a id="line142"></a><span class="lineno">142</span><span class="line">  <span class="comment">//. Return the class scope associated with this symbol.</span></span>
<a id="line143"></a><span class="lineno">143</span><span class="line"><span class="comment">  //. This will return 0 if the class definition hasn't been seen yet.</span></span>
<a id="line144"></a><span class="lineno">144</span><span class="line">  <a href="../../../Scopes/Synopsis/SymbolLookup/Class.html" title="class Synopsis::SymbolLookup::Class">Class</a> *<a href="../../../Scopes/Synopsis/SymbolLookup/ClassTemplateName.html#as_scope_l_rconst" title="member function Synopsis::SymbolLookup::ClassTemplateName::as_scope()const">as_scope</a>() const;</span>
<a id="line145"></a><span class="lineno">145</span><span class="line">};</span>
<a id="line146"></a><span class="lineno">146</span>
<a id="line147"></a><span class="lineno">147</span><span class="line"><span class="keyword">class</span> <a href="../../../Scopes/Synopsis/SymbolLookup/FunctionName.html" title="class Synopsis::SymbolLookup::FunctionName">FunctionName</a> : <span class="keyword">public</span> <a href="../../../Scopes/Synopsis/SymbolLookup/Symbol.html" title="class Synopsis::SymbolLookup::Symbol">Symbol</a></span>
<a id="line148"></a><span class="lineno">148</span><span class="line">{</span>
<a id="line149"></a><span class="lineno">149</span><span class="line"><span class="keyword">public</span>:</span>
<a id="line150"></a><span class="lineno">150</span><span class="line">  <a href="" title="member function Synopsis::SymbolLookup::FunctionName::FunctionName(const PTree::Encoding&amp;,const PTree::Node*,bool,Scope*)">FunctionName</a>(<a href="../../../Scopes/Synopsis/PTree/Encoding.html" title="class Synopsis::PTree::Encoding">PTree::Encoding const</a> &amp;type, <a href="../../../Scopes/Synopsis/PTree/Node.html" title="class Synopsis::PTree::Node">PTree::Node const</a> *ptree,</span>
<a id="line151"></a><span class="lineno">151</span><span class="line">	       <span class="keyword">bool</span> def, <a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html" title="class Synopsis::SymbolLookup::Scope">Scope</a> *s)</span>
<a id="line152"></a><span class="lineno">152</span><span class="line">    : Symbol(type, ptree, def, s) {}</span>
<a id="line153"></a><span class="lineno">153</span><span class="line">  virtual <span class="keyword">void</span> <a href="../../../Scopes/Synopsis/SymbolLookup/FunctionName.html#accept_lSymbolVisitor_S_rconst" title="member function Synopsis::SymbolLookup::FunctionName::accept(SymbolVisitor*)const">accept</a>(<a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" title="class Synopsis::SymbolLookup::SymbolVisitor">SymbolVisitor</a> *v) const { <a href="" title="parameter v">v</a>-&gt;<a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.Symbol_S_r" title="member function Synopsis::SymbolLookup::SymbolVisitor::visit(const Symbol*)">visit</a>(<span class="keyword">this</span>);}</span>
<a id="line154"></a><span class="lineno">154</span>
<a id="line155"></a><span class="lineno">155</span><span class="line">  <span class="comment">//. Return the function scope associated with this symbol.</span></span>
<a id="line156"></a><span class="lineno">156</span><span class="line"><span class="comment">  //. This will return 0 if the function definition hasn't been seen yet.</span></span>
<a id="line157"></a><span class="lineno">157</span><span class="line">  <a href="../../../Scopes/Synopsis/SymbolLookup/FunctionScope.html" title="class Synopsis::SymbolLookup::FunctionScope">FunctionScope</a> *<a href="../../../Scopes/Synopsis/SymbolLookup/FunctionName.html#as_scope_l_rconst" title="member function Synopsis::SymbolLookup::FunctionName::as_scope()const">as_scope</a>() const;</span>
<a id="line158"></a><span class="lineno">158</span><span class="line">};</span>
<a id="line159"></a><span class="lineno">159</span>
<a id="line160"></a><span class="lineno">160</span><span class="line"><span class="keyword">class</span> <a href="../../../Scopes/Synopsis/SymbolLookup/FunctionTemplateName.html" title="class Synopsis::SymbolLookup::FunctionTemplateName">FunctionTemplateName</a> : <span class="keyword">public</span> <a href="../../../Scopes/Synopsis/SymbolLookup/Symbol.html" title="class Synopsis::SymbolLookup::Symbol">Symbol</a></span>
<a id="line161"></a><span class="lineno">161</span><span class="line">{</span>
<a id="line162"></a><span class="lineno">162</span><span class="line"><span class="keyword">public</span>:</span>
<a id="line163"></a><span class="lineno">163</span><span class="line">  <a href="" title="member function Synopsis::SymbolLookup::FunctionTemplateName::FunctionTemplateName(const PTree::Encoding&amp;,const PTree::Node*,Scope*)">FunctionTemplateName</a>(<a href="../../../Scopes/Synopsis/PTree/Encoding.html" title="class Synopsis::PTree::Encoding">PTree::Encoding const</a> &amp;type, <a href="../../../Scopes/Synopsis/PTree/Node.html" title="class Synopsis::PTree::Node">PTree::Node const</a> *ptree, <a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html" title="class Synopsis::SymbolLookup::Scope">Scope</a> *s)</span>
<a id="line164"></a><span class="lineno">164</span><span class="line">    : Symbol(type, ptree, true, s) {}</span>
<a id="line165"></a><span class="lineno">165</span><span class="line">  virtual <span class="keyword">void</span> <a href="../../../Scopes/Synopsis/SymbolLookup/FunctionTemplateName.html#accept_lSymbolVisitor_S_rconst" title="member function Synopsis::SymbolLookup::FunctionTemplateName::accept(SymbolVisitor*)const">accept</a>(<a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" title="class Synopsis::SymbolLookup::SymbolVisitor">SymbolVisitor</a> *v) const { <a href="" title="parameter v">v</a>-&gt;<a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.Symbol_S_r" title="member function Synopsis::SymbolLookup::SymbolVisitor::visit(const Symbol*)">visit</a>(<span class="keyword">this</span>);}</span>
<a id="line166"></a><span class="lineno">166</span>
<a id="line167"></a><span class="lineno">167</span><span class="line">  <span class="comment">//. Return the function scope associated with this symbol.</span></span>
<a id="line168"></a><span class="lineno">168</span><span class="line"><span class="comment">  //. This will return 0 if the function definition hasn't been seen yet.</span></span>
<a id="line169"></a><span class="lineno">169</span><span class="line">  <a href="../../../Scopes/Synopsis/SymbolLookup/FunctionScope.html" title="class Synopsis::SymbolLookup::FunctionScope">FunctionScope</a> *<a href="../../../Scopes/Synopsis/SymbolLookup/FunctionTemplateName.html#as_scope_l_rconst" title="member function Synopsis::SymbolLookup::FunctionTemplateName::as_scope()const">as_scope</a>() const;</span>
<a id="line170"></a><span class="lineno">170</span><span class="line">};</span>
<a id="line171"></a><span class="lineno">171</span>
<a id="line172"></a><span class="lineno">172</span><span class="line"><span class="keyword">class</span> <a href="../../../Scopes/Synopsis/SymbolLookup/NamespaceName.html" title="class Synopsis::SymbolLookup::NamespaceName">NamespaceName</a> : <span class="keyword">public</span> <a href="../../../Scopes/Synopsis/SymbolLookup/Symbol.html" title="class Synopsis::SymbolLookup::Symbol">Symbol</a></span>
<a id="line173"></a><span class="lineno">173</span><span class="line">{</span>
<a id="line174"></a><span class="lineno">174</span><span class="line"><span class="keyword">public</span>:</span>
<a id="line175"></a><span class="lineno">175</span><span class="line">  <a href="" title="member function Synopsis::SymbolLookup::NamespaceName::NamespaceName(const PTree::Encoding&amp;,const PTree::Node*,bool,Scope*)">NamespaceName</a>(<a href="../../../Scopes/Synopsis/PTree/Encoding.html" title="class Synopsis::PTree::Encoding">PTree::Encoding const</a> &amp;type, <a href="../../../Scopes/Synopsis/PTree/Node.html" title="class Synopsis::PTree::Node">PTree::Node const</a> *ptree,</span>
<a id="line176"></a><span class="lineno">176</span><span class="line">		<span class="keyword">bool</span> def, <a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html" title="class Synopsis::SymbolLookup::Scope">Scope</a> *s)</span>
<a id="line177"></a><span class="lineno">177</span><span class="line">    : Symbol(type, ptree, def, s) {}</span>
<a id="line178"></a><span class="lineno">178</span><span class="line">  virtual <span class="keyword">void</span> <a href="../../../Scopes/Synopsis/SymbolLookup/NamespaceName.html#accept_lSymbolVisitor_S_rconst" title="member function Synopsis::SymbolLookup::NamespaceName::accept(SymbolVisitor*)const">accept</a>(<a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" title="class Synopsis::SymbolLookup::SymbolVisitor">SymbolVisitor</a> *v) const { <a href="" title="parameter v">v</a>-&gt;<a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.Symbol_S_r" title="member function Synopsis::SymbolLookup::SymbolVisitor::visit(const Symbol*)">visit</a>(<span class="keyword">this</span>);}</span>
<a id="line179"></a><span class="lineno">179</span>
<a id="line180"></a><span class="lineno">180</span><span class="line">  <span class="comment">//. Return the namespace scope associated with this symbol.</span></span>
<a id="line181"></a><span class="lineno">181</span><span class="line"><span class="comment">  //. This will return 0 if the namespace definition hasn't been seen yet.</span></span>
<a id="line182"></a><span class="lineno">182</span><span class="line">  <a href="../../../Scopes/Synopsis/SymbolLookup/Namespace.html" title="class Synopsis::SymbolLookup::Namespace">Namespace</a> *<a href="../../../Scopes/Synopsis/SymbolLookup/NamespaceName.html#as_scope_l_rconst" title="member function Synopsis::SymbolLookup::NamespaceName::as_scope()const">as_scope</a>() const;</span>
<a id="line183"></a><span class="lineno">183</span><span class="line">};</span>
<a id="line184"></a><span class="lineno">184</span>
<a id="line185"></a><span class="lineno">185</span><span class="line">}</span>
<a id="line186"></a><span class="lineno">186</span><span class="line">}</span>
<a id="line187"></a><span class="lineno">187</span>
<a id="line188"></a><span class="lineno">188</span><span class="line">#endif</span>
</pre>
<div class="logo">Generated on Thu Apr 16 16:28:04 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
